/* the device's vendor and product id */
#ifndef __MYUSB_H__
#define __MYUSB_H__

#include "usb.h"
#define MY_VID 0x03EB
#define MY_PID 0x6124
#define MY_NEW_PID 0x8888

/* the device's endpoints */
#define EP_IN 0x82
#define EP_OUT 0x01


typedef struct usb_spec
{
    char filename[PATH_MAX];
    char devnum;
    usb_dev_handle *usb_dev;
    void *context0;
    void *context1;
    int flag;
    usb_spec *next;

} USB_SPEC;


#define UDP_TRANSFER
#define SCAN_BYTES 7368
#define ONE_SHOT_SIZE 1460
#endif


